<router-outlet></router-outlet>
<div class="example-header">
  <mat-form-field>
    <input matInput (keyup)="filtrar($event.target.value)" placeholder="Buscar paciente">
  </mat-form-field>
</div>

<mat-table [dataSource]="dataSource" matSort>
  <ng-container matColumnDef="idPaciente">
    <mat-header-cell *matHeaderCellDef mat-sort-header> ID </mat-header-cell>
    <mat-cell *matCellDef="let row"> {{row.idPaciente}} </mat-cell>
  </ng-container>

  <ng-container matColumnDef="nombres">
    <mat-header-cell *matHeaderCellDef mat-sort-header> Nombres </mat-header-cell>
    <mat-cell *matCellDef="let row"> {{row.nombres}}</mat-cell>
  </ng-container>

  <ng-container matColumnDef="apellidos">
    <mat-header-cell *matHeaderCellDef mat-sort-header> Apellidos </mat-header-cell>
    <mat-cell *matCellDef="let row"> {{row.apellidos}} </mat-cell>
  </ng-container>

  <ng-container matColumnDef="acciones">
    <mat-header-cell *matHeaderCellDef>Acciones</mat-header-cell>
    <mat-cell *matCellDef="let row">
      <button mat-button color="primary" [routerLink]="['edicion', row.idPaciente]">Actualizar</button>
      <button mat-button color="accent" (click)="eliminar(row.idPaciente)">Eliminar</button>
    </mat-cell>
  </ng-container>

  <mat-header-row *matHeaderRowDef="displayedColumns"></mat-header-row>
  <mat-row *matRowDef="let row; columns: displayedColumns;">

  </mat-row>
</mat-table>

<mat-paginator [pageSize]="10" [pageSizeOptions]="[5, 10, 25, 100]" [length]="cantidad" (page)="mostrarMas($event)"></mat-paginator>

<button mat-fab color="accent" style="float: right" routerLink='/paciente/nuevo'>
  <mat-icon>create</mat-icon>
</button>